API reference
Credential actions
3 management API operations for Credential actions.
/v1/me/credential-actionsCapabilities
POST/v1/me/credential-actionsStart
POST/v1/me/credential-actions/{intent_id}/completeComplete
GET/v1/me/credential-actions
Capabilities
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
POST/v1/me/credential-actions
Start
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | null | No | |
x-portal-binding | header | string | null | No |
Request body
application/jsonRequiredStartAction
| Field | Type | Required | Description |
|---|---|---|---|
action | string | Yes | Validation: min length 1; max length 64 |
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
201Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/me/credential-actions/{intent_id}/complete
Complete
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
intent_id | path | string | Yes | |
idempotency-key | header | string | null | No | |
x-portal-binding | header | string | null | No |
Request body
application/jsonRequiredFinishAction
| Field | Type | Required | Description |
|---|---|---|---|
callback_status | string | Yes | Validation: pattern ^(success|canceled|error)$ |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |